Bug 52921 - traceback while adding ethernet interface
traceback while adding ethernet interface
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-30 17:07 EDT by Nalin Dahyabhai
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-30 17:09:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2001-08-30 17:07:08 EDT
Version-Release number of selected component (if applicable):
0.7.10-1

How reproducible:
Always

Steps to Reproduce:
1. On the "devices" tab, hit "add".
2. Select "ethernet".
3. Uncheck "Enable Device Alias Support", and check "Use Hardware Address".
4. Press the "Probe for Address" button.

Actual Results:
Traceback:

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/ethernetconfig.py",
line 111, in on_hwProbeButton_clicked
    hwaddr = commands.getoutput("LC_ALL= LANG= /sbin/ip -o link show
"+self.device.Device+" | sed 's/.*link\/ether \([[:alnum:]:]*\).*/\\1/'")
TypeError: illegal argument type for built-in operation

Expected Results:
I don't know what to expect here.
Comment 1 Phil Knirsch 2001-08-31 05:52:05 EDT
:) You should expect the hardware address to appear :)

Anyway, dumb bug, fixed in CVS.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.